<?php
namespace backend\modules\user\controllers;

use backend\models\searches\TradeSearch;
use Yii;

class TradesController extends BaseController
{
    public function actionIndex()
    {
        $searchModel = new TradeSearch();
        $dataProvider = $searchModel->search(Yii::$app->getRequest()->getQueryParams());
        return $this->asJson($searchModel->outResult($dataProvider));
    }
}